# Update Endpoint - UpdateOneDriveSyncTargetById
Updates OneDrive sync target with provided data.
# HTTP Request
One of the following requests should be made:
PUT /odata/onedrivesynctargets({key})
PUT /odata/onedrivesynctargets/{key}
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of OneDrive sync target that should be updated. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
| Content-Type | required. application/json |
# Request body
Information
Only properties with new values need to be specified, unmodified properties are optional and can be skipped.
Information
If readonly properties are specified the response will always be a 400 Bad Request error.
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the update of OneDrive sync target was successful. | OneDriveSyncTargetEntity |
400 | If update contains data for properties which values are immutable or if no data for the update could be loaded from the request. | |
500 | When an server error occurs during the update of OneDrive sync target. |
# Example
# Request
The following is an example of how to call the endpoint:
PUT /odata/onedrivesynctargets(1)?repository=repo1
Content-Type: application/json
{
"thirdSystemSyncTargetId": "Id des Objekts dessen Daten aktualisiert werden sollen.",
"siteName": "Name der Sharepointseite, der gesetzt werden soll.",
"siteId": "ID der Sharepointseite, die gesetzt werden soll.",
//...
}
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"thirdSystemSyncTargetId": 2,
"folderName": "DriveMe",
"folderId": "14535"
}